##%define _disable_ld_no_undefined 1

%define major 3
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Fast fourier transform library
Name:		fftw
Version:	3.2.2
Release:	%mkrel 4
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.fftw.org
Source:		ftp://ftp.fftw.org/pub/fftw/%{name}-%{version}.tar.gz
BuildRequires:	gcc-gfortran
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
FFTW is a collection of fast C routines for computing the Discrete Fourier
Transform in one or more dimensions.  It includes complex, real, and
parallel transforms, and can handle arbitrary array sizes efficiently.

%package wisdom
Summary:	FFTW-wisdom file generator
Group:		Development/Other

%description wisdom
fftw-wisdom is a utility to generate FFTW wisdom files, which contain saved
information about how to optimally compute (Fourier) transforms of various
sizes.

%package -n %{libname}
Summary:	Fast fourier transform library
Group:		System/Libraries
Provides:	%{name}
Obsoletes:	%{name} < 3.1.3

%description -n %{libname}
FFTW is a collection of fast C routines for computing the Discrete Fourier
Transform in one or more dimensions.  It includes complex, real, and
parallel transforms, and can handle arbitrary array sizes efficiently.

%package -n %{develname}
Summary:	Headers, libraries, & docs for FFTW fast fourier transform library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{major}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel < 3.1.3
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the additional header files, documentation, and
libraries you need to develop programs using the FFTW fast fourier
transform library.

%prep
%setup -q

%build
export F77="gfortran"
mkdir build-std
pushd build-std
CONFIGURE_TOP=.. %configure2_5x \
		    --enable-shared \
		    --enable-threads \
		    --enable-fortran \
		    %ifarch x86_66
		    --enable-sse \
		    %endif
		    --infodir=%{_infodir}

%make
popd

mkdir build-float
pushd build-float
CONFIGURE_TOP=.. %configure2_5x \
		    --enable-float \
		    --enable-shared \
		    --enable-threads \
		    --enable-fortran \
		    %ifarch x86_64
		    --enable-sse \
		    %endif
		    --infodir=%{_infodir}
%make
popd

# SSE doesn't work with long-double:
mkdir build-long-double
pushd build-long-double
CONFIGURE_TOP=.. %configure2_5x \
		    --enable-long-double \
		    --enable-shared \
		    --enable-threads \
		    --enable-fortran \
		    --infodir=%{_infodir}
%make
popd

%check
make check -C build-std
make check -C build-float
make check -C build-long-double

%install
rm -fr %{buildroot}
pushd build-std
%makeinstall_std
popd
pushd build-float
%makeinstall_std
popd
pushd build-long-double
%makeinstall_std
popd

rm -fr %{buildroot}/%{_docdir}/Make*

%clean
rm -rf %{buildroot}

%post -n %{develname}
%__install_info -e '* FFTW: (fftw%{major}).                     Fast Fourier Transform library.'\
                -s Libraries %{_infodir}/fftw%{major}.info%{_extension} %{_infodir}/dir

%preun -n %{develname}
%__install_info -e '* FFTW: (fftw%{major}).                     Fast Fourier Transform library.'\
                -s Libraries %{_infodir}/fftw%{major}.info%{_extension} %{_infodir}/dir --remove

%files -n %{name}-wisdom
%defattr (-,root,root)
%{_bindir}/fftw*-wisdom
%{_bindir}/fftw-wisdom-to-conf
%{_includedir}/fftw3.f
%{_mandir}/man1/fftw-wisdom-to-conf.*
%{_mandir}/man1/fftw*-wisdom.*

%files -n %{libname}
%defattr (-,root,root)
%doc AUTHORS CO* NEWS README TODO 
%{_libdir}/libfftw*.so.%{major}*

%files -n %{develname}
%defattr (-,root,root)
%{_includedir}/*fftw*.h
%{_infodir}/fftw%{major}.info*
%doc doc/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libfftw*.a
%{_libdir}/libfftw*.la
%{_libdir}/libfftw*.so




%changelog
* Thu Jan 13 2011 ahmad <ahmad> 3.2.2-4.mga1
+ Revision: 8894
- drop old/unneeded scriptlets
- imported package fftw


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.2-3mdv2011.0
+ Revision: 605126
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.2-2mdv2010.1
+ Revision: 521125
- rebuilt for 2010.1

* Mon Jul 27 2009 Emmanuel Andry <eandry@mandriva.org> 3.2.2-1mdv2010.0
+ Revision: 400912
- New version 3.2.2
- reenable ld_no_undefined

* Fri Feb 20 2009 Lev Givon <lev@mandriva.org> 3.2.1-2mdv2009.1
+ Revision: 343394
- Build long-double libs in addition to the
  short and double libs.

* Sun Feb 15 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.1-1mdv2009.1
+ Revision: 340476
- update to new version 3.2.1

* Sun Nov 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.2-1mdv2009.1
+ Revision: 303724
- update to new version 3.2

* Mon Oct 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.3-1mdv2009.1
+ Revision: 295786
- update to new version 3.1.3
- enable SSE eptimizations for x86_64

* Sat Jul 12 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.2-11mdv2009.0
+ Revision: 234200
- rebuild

* Sun Jul 06 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.2-10mdv2009.0
+ Revision: 232154
- use _disable_ld_no_undefined due to build problems
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 15 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 3.1.2-8mdv2008.1
+ Revision: 98557
- Use _extension macro instead off hardcoded extension of info files (as
  suggested by Adam Willianson on cooker ML sometime ago).

* Sun Sep 30 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 3.1.2-7mdv2008.0
+ Revision: 94076
- Reference the right fftw3.info file in /usr/share/info/dir.
- Don't ship duplicated fftw3.info in docdir.

* Sun Sep 30 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 3.1.2-6mdv2008.0
+ Revision: 93938
- Fixed install_info in libfftw-devel scriptlets (*.info.bz2 ->
  *.info.lzma).

* Sun Sep 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.2-5mdv2008.0
+ Revision: 92420
- fix bug #33857
- make use of %%{major}

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages

* Sat Jun 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.2-4mdv2008.0
+ Revision: 43506
- add missing provides

* Sat Jun 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.2-3mdv2008.0
+ Revision: 43466
- new devel library policy
- add check section
- remove dead entries
- no need to hardcode gcc-gfortran
- spec file clean


* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.1.2-2mdv2007.0
+ Revision: 130762
- Import fftw

* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.2-2mdv2007.1
- do not package big ChangeLog

* Fri Jul 07 2006 Austin Acton <austin@mandriva.org> 3.1.2-1mdk
- New release 3.1.2

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 3.1.1-2mdk
- rebuild for sparc

* Mon Mar 20 2006 Austin Acton <austin@mandriva.org> 3.1.1-1mdk
- New release 3.1.1

* Mon Jan 30 2006 Austin Acton <austin@mandriva.org> 3.1-1mdk
- 3.1
- mkrel

* Thu Aug 18 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.0.1-6mdk
- libtool fixes
- use gfortran in 2006
- make check by default

* Mon Aug 09 2004 Austin Acton <austin@mandrake.org> 3.0.1-5mdk
- rebuild

* Wed Aug 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 3.0.1-4mdk
- add fftw3-devel provides (helps with slbd)
- fix rpm groups

